# remove all axis definitions
iaxis.reset.all <- function(p=plot) {
  .jcall(p$obj,,"resetAxes")
}

## trl==translation in orthogonal direction
iaxis <- function(type="cont", orientation="x", valuerange, pxc,
                  variable=NULL, trl=0, drawAxis=FALSE) {
  if (length(valuerange)!=2) stop("invalid value range specification")
  if (length(pxc)!=2)  stop("invalid graphics range specification")
  
  or <- as.integer(pmatch(orientation[1],c("x","y")) - 1)
  if (is.na(or)) or <- as.integer(pmatch(orientation[1],c("horizontal","vertical")) - 1)
  if (is.na(or)) stop("invalid orientation")
  
  axtype <- as.integer(pmatch(type[1],c("continuous","discrete")) - 1)
  if (is.na(axtype)) stop("invalid axis type")
  if (!exists("plot")) stop("iaxis can be called from within a custom plot constructor only")
  svar <- .jnull("org/rosuda/ibase/SVar");
  if (!is.null(variable)) {
    svar <-
      if (inherits(variable, "ivar"))
        variable
      else
        ivar.new("Var Name",variable[[1]])$obj
  }
  a <- .jnew("org/rosuda/ibase/toolkit/Axis",svar,as.integer(or),as.integer(axtype));
  .jcall(a,,"setGeometry",as.integer(or),as.integer(pxc[1]),as.integer(pxc[2]-pxc[1]));
  .jcall(a,"Z","setValueRange",as.double(valuerange[1]),as.double(valuerange[2]-valuerange[1]));
  .jcall(plot$obj,,"setAxis",a,as.integer(trl),drawAxis);
  .jcall(a,,"addDepend",.jcast(plot$obj,"org/rosuda/ibase/Dependent"));
  if (axtype == 0)
    function(pos) unlist(lapply(as.double(pos), function(x) .jcall(a,"I","getValuePos",x)))
  else
    function(pos) unlist(lapply(as.double(pos), function(x) .jcall(a,"I","getCasePos",x)))
}
