## example of a custom plot: iagepyr - age pyramid

iagepyr <- icustom.plot(name="AgePyramid",
                        min.data.dim=2,
                        param=list(bin.width=10),
  construct=function(width,height) {
    side <- unclass(data[[2]])
    left <- which(side==1)
    right <- which(side==2)
    anchor <- min(data[[1]])
    bins <- ceiling(max(data[[1]])/bin.width)
    bin <- ceiling((data[[1]]-anchor)/bin.width)
    l.largest.bin <- max(table(bin));
    r.largest.bin <- l.largest.bin;
    
    iaxis.reset.all()
    a.r <- iaxis("cont", "x", c(0, r.largest.bin), c(width/2, width-10), trl=height-10)
    a.l <- iaxis("cont", "x", c(0, l.largest.bin), c(width/2, 10), trl=height-10)
    a.y <- iaxis("cont", "y", c(0, bins), c(height-10,20), trl=width/2)
    
    sobj.reset()
    for (i in 1:bins) {
      ids.l <- which(bin==i & side==1)
      ids.r <- which(bin==i & side==2)
      
      if (length(ids.l)>0)
        sobj.rect(ids.l, a.l(0), a.y(i-0.5),
                  a.l(length(ids.l))-a.l(0),
                  a.y(i+0.5)-a.y(i-0.5),
                  "left")
      if(length(ids.r)>0)
        sobj.rect(ids.r, a.r(0), a.y(i-0.5),
                  a.r(length(ids.r))-a.r(0),
                  a.y(i+0.5)-a.y(i-0.5),
                  "right")
    }
  })
