\name{sobj}
\alias{sobj}
\alias{sobj.rect}
\alias{sobj.point}
\alias{sobj.polygon}
\alias{sobj.reset}
\title{Statistical objects (plot primitives) for custom interactive plots}
\description{
 \code{sobj.rect}, \code{sobj.point} and \code{sobj.polygon} create
 new statistical objects in the current custom plot.

 \code{sobj.reset} removes all statistical objects from the current
 custom plot.

 The functiona can only be used from within the \code{construct}
 function of an interactive custom plot.
}
\usage{
sobj.rect(ids, x, y, w, h, orientation = "up")
sobj.polygon(ids, x, y, border = TRUE, closed = TRUE, fill = TRUE,
             fill.col = NULL)
sobj.point(ids, x, y, diam = 3, border = FALSE, angle.hilite = FALSE, 
    col = NULL)
sobj.reset(p = plot)
}
\arguments{
\item{ids}{case IDs associated with this object}
\item{x}{x position(s)}
\item{y}{y position(s)}
\item{w}{width of the rectangle}
\item{h}{height of the rectangle}
\item{orientation}{orientation of the highlighting, i.e. the direction
 it will fill up. It can be any of "left", "right", "up", "down"}
\item{border}{\code{TRUE} to draw border around the polygon,
 \code{FALSE} otherwise}
\item{closed}{\code{TRUE} to close the polygon (i.e. join first and
 last point), \code{FALSE} otherwise. Only relevant if \code{border}
 is \code{TRUE}}
\item{fill}{\code{TRUE} to fill the polygon, \code{FALSE} otherwise.}
\item{fill.col}{fill color (only relevant if \code{fill} is
 \code{TRUE}}
\item{diam}{initial diameter of the point}
\item{col}{color of the point (in unhighlighted state)}
\item{angle.hilite}{?}
\item{p}{plot object to reset}
}
\value{
The return values are currently undefined and should not be used.
}
\seealso{
  \code{\link{icustom.plot}} and \code{\link{iaxis}}
}
\keyword{hplot}
